package org.university.core;

import java.util.ArrayList;

public class FinancialSystem {

    private int stock;
    private ArrayList<FinancialAccount> financialAccounts;
    private ArrayList<Payroll> payrolls;

    public void addAccount(FinancialAccount account) {
        this.financialAccounts.add(account);
    }

    public void checkOut(FinancialAccount account) {
        this.stock -= account.getCreditor();
        account.checkOut(account.getCreditor());
    }

    public void settle(AccountingInterface employee) {
        for (FinancialAccount fc : financialAccounts
        ) {
            if (fc.getOwner() == employee) {
                if (fc.getCreditor() > 0) {
                    this.stock -= fc.getCreditor();
                    fc.checkOut(fc.getCreditor());
                }
            }
        }
    }


}
